Bug 220090 - "Last-Modified" header: error when parsing, wget refuses to set mtime
"Last-Modified" header: error when parsing, wget refuses to set mtime
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
All All
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Depends On:
  Show dependency treegraph
Reported: 2006-12-18 16:35 EST by Moritz Barsnick
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-12 08:13:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2006-12-18 16:35:41 EST
Description of problem:
wget does not understand a certain  header, refusing to set the mtime of the 
downloaded file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. wget -Sv http://dl.google.com/earth/GE4/GoogleEarthLinux.bin
Actual results:
  Last-Modified: Sat, 16 Dec 2006 12:29:52 JST
Last-modified header invalid -- time-stamp ignored.

Expected results:
mtime is set correctly.

Additional info:
touch -d "Sat, 16 Dec 2006 12:29:52 JST" GoogleEarthLinux.bin
(so using the date returned by the server) sets the date correctly, so the 
coreutils date parsing routines seem to be okay with this date format.

Server is:
  Server: GFE/1.3
not Apache. :)

Note You need to log in before you can comment on or make changes to this bug.